import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/icon-menuappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'db_appmenu1_appmenu',
        items:  [
            {
	id: '7E7AACC8-64B8-4BFE-BC5A-809E4C629278',
	name: 'menuitem1',
	text: '菜单1',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单1',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '046CE0A0-B7D6-494F-B05C-2E6A7CB6ABEB',
	name: 'menuitem6',
	text: '菜单项',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单项',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc75',
	resourcetag: '',
},
		{
	id: '331746F8-F3AB-4C36-A068-444E52E7A94E',
	name: 'menuitem9',
	text: '菜单项',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单项',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: 'F53188E8-ADAA-4933-A0BC-DB3BAC0BE991',
	name: 'menuitem10',
	text: '菜单项',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单项',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: '2A01B442-ACB2-4175-BC52-0C5743A72DB2',
	name: 'menuitem2',
	text: '菜单2',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单2',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '59B91A6F-9217-481E-B3DB-58CBA9E19F60',
	name: 'menuitem7',
	text: '菜单项',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单项',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: 'AD755E05-FA6C-4FA4-90E9-AD0234566866',
	name: 'menuitem3',
	text: '菜单3',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单3',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'DDEEB631-7B6F-46A3-B06D-BD8DB76C27C4',
	name: 'menuitem8',
	text: '菜单项',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单项',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: 'C19A946A-FEB4-4A7F-B858-05CBB788B066',
	name: 'menuitem4',
	text: '菜单4',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单4',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: 'CF85628B-1499-455E-A809-CBA4BBDB0213',
	name: 'menuitem5',
	text: '菜单5',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '菜单5',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
        ],
    }];
});

